Upload rows to Google Sheet
Upload client-supplied rows to a new Google Sheet (data apps).
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Request body
{
"rows": [
{
"property": "string"
}
],
"columns": [
{
"type": "string",
"label": "string",
"key": "string"
}
],
"title": "string",
"projectUuid": "string"
}Responses
200 — Success
{
"results": {
"jobId": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}